## masakari-monitors 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

automaton>=1.9.0  # Apache-2.0
libvirt-python!=4.1.0,>=3.5.0 # LGPLv2+
openstacksdk>=0.13.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1  # BSD
oslo.cache>=1.26.0  # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.24.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

## masakari-monitors 6.0.0

=== debian/changelog ===
masakari-monitors (6.0.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Mar 2019 16:33:31 -0400

=== debian/control ===
Source: masakari-monitors
Section: python
Priority: optional
Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 python3-automaton (>= 1.9.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.11.0),
 python3-libvirt (>= 3.5.0),
 python3-lxml (>= 3.4.1),
 python3-openstacksdk (>= 0.13.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari-monitors
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari-monitors
Homepage: https://github.com/openstack/masakari-monitors
Testsuite: autopkgtest-pkg-python

Package: masakari-host-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Host Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Host Monitor.

Package: masakari-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Instance Monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Introspective Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Introspective Instance Monitor.

Package: masakari-process-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Process Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Process Monitor.

Package: python3-masakari-monitors
Architecture: all
Depends:
 masakari-monitors-common (= ${source:Version}),
 python3-automaton (>= 1.9.0),
 python3-libvirt (>= 3.5.0),
 python3-lxml (>= 3.4.1),
 python3-openstacksdk (>= 0.13.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python 3 module.

Package: masakari-monitors-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors common files.

Package: masakari-monitors-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari-monitors/ masakari-monitors-(6\.\d.*)\.tar\.gz

## masakari-monitors 7.0.0

=== debian/changelog ===
masakari-monitors (7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:20:13 +0100

masakari-monitors (7.0.0~rc1-0ubuntu2) disco; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ James Page ]
  * d/p/bug1728527.patch: Cherry pick fix to resolve issues with use of
    pacemaker-remote for remote management of hypervisors (LP: #1728527).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 16:22:18 +0100

masakari-monitors (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:27:40 -0400

masakari-monitors (7.0.0~b1-0ubuntu2) disco; urgency=medium

  * d/tests/*: Align test name with d/tests/control.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 08:10:58 -0400

masakari-monitors (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Feb 2019 14:50:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: masakari-monitors
-Section: python
+Section: net
 Priority: optional
-Maintainer: Corey Bryant <corey.bryant@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
- openstack-pkg-tools (>= 85~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  python-all,
  python-setuptools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari-monitors/ masakari-monitors-(7\.\d.*)\.tar\.gz

## masakari-monitors 8.0.0

=== debian/changelog ===
masakari-monitors (8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:28:19 +0100

masakari-monitors (8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:48:52 -0400

masakari-monitors (8.0.0~b2~git2019073018.ae3ab24-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:38:15 +0200

masakari-monitors (8.0.0~b1~git2019061810.8fe6937-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:21:21 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-hacking (>= 0.11.0),
  python3-libvirt (>= 3.5.0),
  python3-lxml (>= 3.4.1),
+ python3-openstackdocstheme (>= 1.24.0),
  python3-openstacksdk (>= 0.13.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,systemd

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-masakari-monitors/usr/etc
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakarimonitors/masakarimonitors-config-generator.conf
	cp etc/masakarimonitors/hostmonitor.conf.sample etc/masakarimonitors/hostmonitor.conf
	cp etc/masakarimonitors/masakarimonitors.conf.sample etc/masakarimonitors/masakarimonitors.conf
	cp etc/masakarimonitors/processmonitor.conf.sample etc/masakarimonitors/processmonitor.conf
	cp etc/masakarimonitors/process_list.yaml.sample etc/masakarimonitors/process_list.yaml
	cp etc/masakarimonitors/proc.list.sample etc/masakarimonitors/proc.list
	crudini --set etc/masakarimonitors/masakarimonitors.conf api auth_url http://localhost:5000/v3
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

## masakari-monitors 9.0.0~b1~git2019121714.b717be1

=== debian/changelog ===
masakari-monitors (9.0.0~b1~git2019121714.b717be1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 BDs.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/bug1728527.patch: Dropped. Fixed in snapshot.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 14:28:07 -0500

## masakari-monitors 9.0.0~b3~git2020041013.e225e6d

=== debian/changelog ===
masakari-monitors (9.0.0~b3~git2020041013.e225e6d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-monitors-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:14:02 -0400

masakari-monitors (9.0.0~b3~git2020032614.8711c07-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-monitors-common.postinst: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 14:31:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
  python3-sphinx (>= 1.6.2),

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,23 @@
 # Verbose mode
 #export DH_VERBOSE=1
 
-PYTHON3S:=$(shell py3versions -vr)
+export PYBUILD_NAME=masakari-monitors
+
+SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3,systemd
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python3-masakari-monitors/usr/etc
 	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakarimonitors/masakarimonitors-config-generator.conf
 	cp etc/masakarimonitors/hostmonitor.conf.sample etc/masakarimonitors/hostmonitor.conf
@@ -23,7 +28,8 @@
 	cp etc/masakarimonitors/process_list.yaml.sample etc/masakarimonitors/process_list.yaml
 	cp etc/masakarimonitors/proc.list.sample etc/masakarimonitors/proc.list
 	crudini --set etc/masakarimonitors/masakarimonitors.conf api auth_url http://localhost:5000/v3
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -31,7 +37,7 @@
 endif
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=python_distutils
+	dh_auto_clean
 	rm -rf doc/build/* doc/source/api doc/.autogenerated
 
 override_dh_auto_build:
@@ -42,6 +48,3 @@
 	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
 	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
 endif
-
-override_dh_auto_install:
-	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari-monitors/ masakari-monitors-(8\.\d.*)\.tar\.gz

## masakari-monitors 9.0.0

=== debian/changelog ===
masakari-monitors (9.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/p/fix-hostmonitor-to-respect-quorum.patch: Ensure compute node
    managed by pacemaker_remote recognizes itself as offline when
    isolated, skipping the state monitoring process (LP: #1878548).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2022 16:12:17 -0500

masakari-monitors (9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 12:39:29 -0400

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari-monitors
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari-monitors
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
 Homepage: https://github.com/openstack/masakari-monitors
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(9\.\d.*)\.tar\.gz

## masakari-monitors 10.0.0

=== debian/changelog ===
masakari-monitors (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:34 -0400

masakari-monitors (10.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 10.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:04:41 -0400

masakari-monitors (10.0.0~b3~git2020091408.58c78e9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:07:19 +0000

masakari-monitors (10.0.0~b1~git2020070210.be1173e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:00:17 -0400

masakari-monitors (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 09:09:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  crudini,
  python3-automaton (>= 1.9.0),
  python3-coverage (>= 4.0),
- python3-hacking (>= 0.11.0),
- python3-libvirt (>= 3.5.0),
- python3-lxml (>= 3.4.1),
- python3-openstackdocstheme (>= 1.24.0),
+ python3-ddt (>= 1.0.1),
+ python3-hacking (>= 1.1.0),
+ python3-libvirt (>= 6.0.0),
+ python3-lxml (>= 4.5.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.13.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
@@ -32,7 +34,6 @@
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pbr (>= 2.0.0),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -40,7 +41,7 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
 Homepage: https://github.com/openstack/masakari-monitors
@@ -107,8 +108,9 @@
 Depends:
  masakari-monitors-common (= ${source:Version}),
  python3-automaton (>= 1.9.0),
- python3-libvirt (>= 3.5.0),
- python3-lxml (>= 3.4.1),
+ python3-libvirt (>= 6.0.0),
+ python3-lxml (>= 4.5.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-openstacksdk (>= 0.13.0),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(10\.\d.*)\.tar\.gz

## masakari-monitors 10.0.1

=== debian/changelog ===
masakari-monitors (10.0.1-1~bpo10+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-victoria.infomaniak.ch>  Tue, 07 Sep 2021 08:11:43 +0000

masakari-monitors (10.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #985118).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 18:56:25 +0100

=== debian/control ===
Source: masakari-monitors
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-automaton,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-keystoneauth1,
 python3-libvirt (>= 6.0.0),
 python3-lxml,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycodestyle,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari-monitors
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari-monitors.git
Homepage: https://opendev.org/openstack/masakari-monitors

Package: masakari-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - instance monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari instance monitor.

Package: masakari-host-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari host monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack VirtualMachine High Availability (VMHA) - introspective host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari introspective instance monitor.

Package: masakari-monitors-common
Architecture: all
Depends:
 adduser,
 python3-masakari-monitors (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - monitors common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari monitors.

Package: masakari-monitors-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the monitors documentation.

Package: masakari-process-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack VM High Availability (VMHA) - process monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari process monitor.

Package: python3-masakari-monitors
Architecture: all
Section: python
Depends:
 python3-automaton,
 python3-keystoneauth1,
 python3-libvirt (>= 6.0.0),
 python3-lxml,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python files and libraries for Masakari monitors.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf masakari.sqlite
	rm -f debian/masakari-monitors-common.postinst debian/masakari-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-monitors-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm masakari-monitors-common.postrm

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'masakarimonitors\.tests\.unit.*'
endif

	# Generate the masakari.conf config
	mkdir -p $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common/masakarimonitors.conf \
		--wrap-width 140 \
		--namespace masakarimonitors.conf \
		--namespace oslo.log \
		--namespace oslo.middleware

	mkdir -p $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors
	cp $(CURDIR)/etc/masakarimonitors/process_list.yaml.sample $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors/process_list.yaml

	mkdir -p $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors
	cp $(CURDIR)/etc/masakarimonitors/processmonitor.conf.sample $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors/processmonitor.conf

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/masakari-monitors-doc/usr/share/doc/masakari-monitors-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## masakari-monitors 11.0.0

=== debian/changelog ===
masakari-monitors (11.0.0-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * d/p/fix-hostmonitor-to-respect-quorum.patch: Ensure compute node
    managed by pacemaker_remote recognizes itself as offline when
    isolated, skipping the state monitoring process (LP: #1878548).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2022 14:41:21 -0500

masakari-monitors (11.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 16:50:56 +0000

masakari-monitors (11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:13 +0000

masakari-monitors (11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Wallaby.
  * d/rules: Drop unused samples inline with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:20:45 -0400

masakari-monitors (10.0.0+git2021012507.d8d7dbc-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:25 +0000

masakari-monitors (10.0.0+git2020121014.bcf6129-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:04:34 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(11\.\d.*)\.tar\.gz

## masakari-monitors 11.1.1

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,12 @@
 # process, which may cause wedges in the gate later.
 
 automaton>=1.9.0  # Apache-2.0
-libvirt-python!=4.1.0,>=3.5.0 # LGPLv2+
+keystoneauth1>=3.4.0  # Apache-2.0
+libvirt-python>=6.0.0  # LGPLv2+
 openstacksdk>=0.13.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-lxml!=3.7.0,>=3.4.1  # BSD
+lxml>=4.5.0  # BSD
 oslo.cache>=1.26.0  # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -16,4 +17,3 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT

=== debian/changelog ===
masakari-monitors (11.1.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:32:00 +0000

masakari-monitors (11.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Oct 2021 14:53:38 +0200

masakari-monitors (11.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:22:56 +0200

masakari-monitors (11.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 29 Jul 2021 10:06:12 +0200

masakari-monitors (11.0.0-2) experimental; urgency=medium

  * Add masakari-monitors sudoers file
  * d/control:
    - Add tcpdump to dependencies
    - Add pacemaker-cli-utils to dependencies

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 01 Jul 2021 16:09:54 +0200

masakari-monitors (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 18:58:38 +0200

masakari-monitors (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends version when satisfied in Bullseye.
  * Do not attempt to install processmonitor.conf.sample.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 15:14:11 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-ddt,
  python3-hacking,
  python3-keystoneauth1,
- python3-libvirt (>= 6.0.0),
+ python3-libvirt,
  python3-lxml,
  python3-openstackdocstheme,
  python3-openstacksdk,
@@ -112,7 +112,9 @@
 Architecture: all
 Depends:
  adduser,
+ pacemaker-cli-utils,
  python3-masakari-monitors (= ${binary:Version}),
+ tcpdump,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Virtual Machine High Availability (VMHA) - monitors common files
@@ -166,7 +168,7 @@
 Depends:
  python3-automaton,
  python3-keystoneauth1,
- python3-libvirt (>= 6.0.0),
+ python3-libvirt,
  python3-lxml,
  python3-openstacksdk,
  python3-oslo.cache,

## masakari-monitors 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 automaton>=1.9.0  # Apache-2.0
 keystoneauth1>=3.4.0  # Apache-2.0
-libvirt-python>=6.0.0  # LGPLv2+
 openstacksdk>=0.13.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
@@ -17,3 +16,10 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
+
+# Due to the nature of libvirt-python package, in DevStack we use the one
+# provided in the distro alongside libvirtd - to ensure the two are compatible,
+# and also to avoid the pip error when it tries to uninstall the distro version
+# (installed in such a way for Nova in DevStack).
+# Do note libvirt-python is used only for instance-oriented monitors, so, e.g.,
+# it is not used by any host monitor.

=== debian/changelog ===
masakari-monitors (12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:45 +0000

masakari-monitors (11.0.1+git2021090814.4b99f75-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

masakari-monitors (11.0.0+git2021072117.6a496e7-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:07:08 -0400

masakari-monitors (11.0.0+git2021061112.fe5247c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:44 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(12\.\d.*)\.tar\.gz

## masakari-monitors 12.1.0

=== debian/changelog ===
masakari-monitors (12.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:05:32 +0000

masakari-monitors (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:10:46 +0200

masakari-monitors (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:42:08 +0200

masakari-monitors (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:47:27 +0200
